Audio
AudioSpeech
Turn audio into text or text into audio.
Create speech
client.audio.speech.create(SpeechCreateParams { input, model, voice, 4 more } body , RequestOptionsoptions ?): Response
POST
/audio/speechAudioTranscriptions
Turn audio into text or text into audio.
Create transcription
client.audio.transcriptions.create(TranscriptionCreateParamsbody , RequestOptionsoptions ?): TranscriptionCreateResponse | Stream<TranscriptionStreamEvent>
POST
/audio/transcriptionsAudioTranslations
Turn audio into text or text into audio.
Create translation
Deprecated
client.audio.translations.create(TranslationCreateParams { file, model, prompt, 2 more } body , RequestOptionsoptions ?): TranslationCreateResponse
POST
/audio/translationsAudioVoice Consents
Turn audio into text or text into audio.
Create voice consent
client.audio.voiceConsents.create(VoiceConsentCreateParams { language, name, recording } body , RequestOptionsoptions ?): VoiceConsent { id, created_at, language, 2 more }
POST
/audio/voice_consentsDelete voice consent
client.audio.voiceConsents.delete(stringconsentID , RequestOptionsoptions ?): VoiceConsentDeleted { id, deleted, object }
DELETE
/audio/voice_consents/{consent_id}List voice consents
client.audio.voiceConsents.list(VoiceConsentListParams { after, limit } query ?, RequestOptionsoptions ?): CursorPage<VoiceConsent { id, created_at, language, 2 more } >
GET
/audio/voice_consentsRetrieve voice consent
client.audio.voiceConsents.retrieve(stringconsentID , RequestOptionsoptions ?): VoiceConsent { id, created_at, language, 2 more }
GET
/audio/voice_consents/{consent_id}Update voice consent
client.audio.voiceConsents.update(stringconsentID , VoiceConsentUpdateParams { name } body , RequestOptionsoptions ?): VoiceConsent { id, created_at, language, 2 more }
POST
/audio/voice_consents/{consent_id}AudioVoices
Turn audio into text or text into audio.
Create voice
client.audio.voices.create(VoiceCreateParamsbody , RequestOptionsoptions ?): Voice { id, created_at, name, 3 more }
POST
/audio/voicesDelete voice
client.audio.voices.delete(stringvoiceID , RequestOptionsoptions ?): VoiceDeleted { id, deleted, object }
DELETE
/audio/voices/{voice_id}